Bug 2245023 (CVE-2023-22084)

Summary: CVE-2023-22084 mysql: InnoDB unspecified vulnerability (CPU Oct 2023)
Product: [Other] Security Response Reporter: Mauro Matteo Cascella <mcascell>
Component: vulnerabilityAssignee: Product Security <prodsec-ir-bot>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dhjoshi, hhorak, jorton, ljavorsk, mschorm
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: mysql 5.7.44, mysql 8.0.35, mysql 8.1.1, mariadb 11.2.2, mariadb 11.1.3, mariadb 11.0.4, mariadb 10.6.16, mariadb 10.5.23, mariadb 10.4.32, mariadb 10.11.6, mariadb 10.10.7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2246956, 2246957, 2246958, 2249664, 2249665, 2249666, 2249667    
Bug Blocks: 2245035    

Description Mauro Matteo Cascella 2023-10-19 09:34:41 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: InnoDB). Supported versions that are affected are 5.7.43 and prior, 8.0.34 and prior and 8.1.0. Easily exploitable vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

https://www.oracle.com/security-alerts/cpuoct2023.html#AppendixMSQL

Comment 1 Mauro Matteo Cascella 2023-10-30 09:17:39 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 2246957]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 2246958]

Comment 3 Mauro Matteo Cascella 2023-11-14 17:27:00 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2249665]


Created mariadb:10.5/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2249666]


Created mariadb:10.6/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 2249667]

Comment 6 errata-xmlrpc 2024-02-20 12:32:06 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2024:0894 https://access.redhat.com/errata/RHSA-2024:0894

Comment 7 errata-xmlrpc 2024-03-05 18:18:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2024:1141 https://access.redhat.com/errata/RHSA-2024:1141

Comment 8 errata-xmlrpc 2024-04-30 16:52:13 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2024:2619 https://access.redhat.com/errata/RHSA-2024:2619